Redmine - Defect #6796

Long Description Causes 100% CPU on Windows
2010-11-02 15:04 - Erich Rockman

Status: Closed Start date: 2010-11-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 1.0.2

Description

DB: postgres 8.4.3
Ruby: 1.8.7

Rails: 2.3.5
Redmine: 1.0.2

Creating an issue with a long description causes 100% CPU utilization on Windows. The text | was adding to the description is
attached as a file.

Related issues:
Related to Redmine - Feature #6269: RedCloth 4 support New

History

#1 - 2010-11-03 11:38 - Felix Schéfer
Which process eats up the CPU? Ruby or the DB?

#2 - 2010-11-03 14:18 - Erich Rockman
Sorry. Ruby.exe.

#3 - 2010-11-03 19:56 - Felix Schafer

Mmbh, | don't have a windows machine so | can't try to reproduce it... Have you tried reproducing it on the demo redmine? If not, please do so.

#4 - 2010-11-04 08:03 - Jean-Philippe Lang

| can confirm the issue. And it comes from Redcloth3 that takes minutes to format this 185kB text.
A solution would be to upgrade to Redcloth4 which is considerably faster for such long texts.

#5 - 2010-11-04 14:20 - Erich Rockman

Thanks. | did a gem install RedCloth. It installed 4.2.3. How do | get redmine to see it. Seems to still be using v3. Thanks.

#6 - 2010-11-04 14:44 - Jean-Baptiste Barth

RedCloth 4 is not supported for the moment, see #6269 ; the patch provided there will just let you boot redmine with redcloth 4, but it's absolutely not
functional (you'll have basic textile working, but not the additions from redmine itself, such as autolinking on ticket numbers, wiki pages, etc.)

#7 - 2013-01-15 11:53 - Daniel Felix

- Status changed from New to Needs feedback

Any news on this? Is this still reproduceable?

#8 - 2013-01-15 22:20 - Jean-Philippe Lang
While this issue still happens with ruby1.8, the text is displayed instantly with ruby1.9.

#9 - 2015-04-03 03:36 - Go MAEDA
- Status changed from Needs feedback to Closed

Jean-Philippe Lang wrote:
http://demo.redmine.org
https://www.redmine.org/issues/6269

While this issue still happens with ruby1.8, the text is displayed instantly with ruby1.9.

Redmine 3.0 dropped Ruby 1.8 support.
We can close this issue.

#10 - 2015-04-03 03:37 - Go MAEDA

- Related to Feature #6239: Separate attachments visually from main wiki content added

#11 - 2015-04-03 03:38 - Go MAEDA

- Related to deleted (Feature #6239: Separate attachments visually from main wiki content)

#12 - 2015-04-03 03:38 - Go MAEDA
- Related to Feature #6269: RedCloth 4 support added
